<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Object.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_object_8h.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Object.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Base class for all Framework's classes.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;string&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;stdarg.h&gt;</code><br />
</div>
<p><a href="_object_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_message.html">flair::core::Message</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for all Framework's classes.  <a href="classflair_1_1core_1_1_object.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceflair"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceflair.html">flair</a></td></tr>
<tr class="memdesc:namespaceflair"><td class="mdescLeft">&#160;</td><td class="mdescRight">namespace of the flair Framework <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespaceflair_1_1core"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1core.html">flair::core</a></td></tr>
<tr class="memdesc:namespaceflair_1_1core"><td class="mdescLeft">&#160;</td><td class="mdescRight">Core classes. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a0e8095ce1ed00bd4150a20c72d4e4330"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0e8095ce1ed00bd4150a20c72d4e4330"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>Warn</b>(...)&#160;&#160;&#160;Warning(__PRETTY_FUNCTION__, __VA_ARGS__)</td></tr>
<tr class="separator:a0e8095ce1ed00bd4150a20c72d4e4330"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a855a0b471afb53d73f572c402f1737e0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a855a0b471afb53d73f572c402f1737e0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>Err</b>(...)&#160;&#160;&#160;Error(__PRETTY_FUNCTION__, __VA_ARGS__)</td></tr>
<tr class="separator:a855a0b471afb53d73f572c402f1737e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad436e1e1d6bf1c744f5eca58bfa1fcc8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad436e1e1d6bf1c744f5eca58bfa1fcc8"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>Info</b>(...)&#160;&#160;&#160;Information(__PRETTY_FUNCTION__, __LINE__, __VA_ARGS__)</td></tr>
<tr class="separator:ad436e1e1d6bf1c744f5eca58bfa1fcc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d19b6dff7f8f4d262ee557b81ea4015"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9d19b6dff7f8f4d262ee557b81ea4015"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SimpleWarn</b>(...)&#160;&#160;&#160;Warning(NULL, __VA_ARGS__)</td></tr>
<tr class="separator:a9d19b6dff7f8f4d262ee557b81ea4015"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1568cf3090c973c3bc47f86ae2f5afb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae1568cf3090c973c3bc47f86ae2f5afb"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>TIME_INFINITE</b>&#160;&#160;&#160;0</td></tr>
<tr class="separator:ae1568cf3090c973c3bc47f86ae2f5afb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b03c04ef7c1cc240afc43e9ef8ba8b7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b03c04ef7c1cc240afc43e9ef8ba8b7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>TIME_NONBLOCK</b>&#160;&#160;&#160;((Time)-1)</td></tr>
<tr class="separator:a9b03c04ef7c1cc240afc43e9ef8ba8b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:acc0fa041e08ecf73b2d1d723c339a736"><td class="memItemLeft" align="right" valign="top">typedef unsigned long long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">flair::core::Time</a></td></tr>
<tr class="memdesc:acc0fa041e08ecf73b2d1d723c339a736"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time definition, in ns.  <a href="#acc0fa041e08ecf73b2d1d723c339a736">More...</a><br /></td></tr>
<tr class="separator:acc0fa041e08ecf73b2d1d723c339a736"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a63b4b9f532f414a0e0023acaf81f845e"><td class="memItemLeft" align="right" valign="top">Time&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1core.html#a63b4b9f532f414a0e0023acaf81f845e">flair::core::GetTime</a> (void)</td></tr>
<tr class="memdesc:a63b4b9f532f414a0e0023acaf81f845e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time.  <a href="#a63b4b9f532f414a0e0023acaf81f845e">More...</a><br /></td></tr>
<tr class="separator:a63b4b9f532f414a0e0023acaf81f845e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7fe0d3548e4e65719702a7fb29775b1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1core.html#aa7fe0d3548e4e65719702a7fb29775b1">flair::core::Printf</a> (const char *format,...)</td></tr>
<tr class="memdesc:aa7fe0d3548e4e65719702a7fb29775b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted print.  <a href="#aa7fe0d3548e4e65719702a7fb29775b1">More...</a><br /></td></tr>
<tr class="separator:aa7fe0d3548e4e65719702a7fb29775b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Base class for all Framework's classes. </p>
<dl class="section author"><dt>Author</dt><dd>Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS 7253 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>2012/05/07 </dd></dl>
<dl class="section version"><dt>Version</dt><dd>4.0 </dd></dl>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_object_8h.html">Object.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
